## linux-ftpd-ssl 0.17.18+0.3

=== ftpd/Makefile ===
include ../MCONFIG

CFLAGS+=-I../support -DUSE_SSL -g
LIBS+=-L../support -lsupport -lssl -lcrypto


OBJS=ftpd.o ftpcmd.o logutmp.o logwtmp.o popen.o

## our internal version of ls.
# LSDIR	= ${.CURDIR}/../../bin/ls
# .PATH:	${LSDIR}
# SRCS	+= ls.c cmp.c print.c stat_flags.c util.c
# CFLAGS	+= -I${LSDIR}

## (if tcp_wrappers)
# CFLAGS+=-DTCPWRAPPERS
# LDADD+=	-lwrap

all: ftpd

%.o: %.c
	$(CC) $(CFLAGS) -DHASSETPROCTITLE $< -c

ftpcmd.c: %.c: %.y
	$(YACC) $<
	-mv -f y.tab.c $@

ftpd: $(OBJS)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

install: ftpd
	install -s -m$(DAEMONMODE) ftpd $(INSTALLROOT)$(SBINDIR)/in.ftpd
	install -m$(MANMODE) ftpusers.5 $(INSTALLROOT)$(MANDIR)/man5/ftpusers.5
	install -m$(MANMODE) ftpd.8 $(INSTALLROOT)$(MANDIR)/man8/in.ftpd.8
	ln -sf in.ftpd.8 $(INSTALLROOT)$(MANDIR)/man8/ftpd.8

clean:
	rm -f *.o ftpcmd.c y.tab.h ftpd


ftpd.o: pathnames.h ../version.h
$(OBJS): extern.h ../support/daemon.h ../support/setproctitle.h

=== support/Makefile ===
include ../MCONFIG

OBJS=setproctitle.o isexpired.o vis.o

all: libsupport.a

%.o: %.c
	$(CC) $(CFLAGS) -DHASSETPROCTITLE $< -c

libsupport.a: $(OBJS)
	ar -cruv $@ $^
	ranlib $@

install: ;
clean:
	rm -f *.o libsupport.a

setproctitle.o: setproctitle.h

## linux-ftpd-ssl 0.17.31+0.3

=== debian/changelog ===
linux-ftpd-ssl (0.17.31+0.3-1) unstable; urgency=low

  * Update to linux-ftpd 0.17-31
    + IPv6 support! Thanks to Mats Erik Andersson
      <mats.andersson@gisladisker.se>.
  * Convert to format 3.0 (quilt).
  * Extract source changes to patches in debian/patch/, annotate
    patches in DEP3 format. SSL patches start at 500, patches
    below that are imported unchanged from the debian linux-ftpd
    package.
  * debian/rules: add -fno-strict-align to CFLAGS.
  * ftpd.8: typo fixes.
  * Switch to debhelper compat level 7.
  * debian/watch: check for new debian package of linux-ftpd.
  * Update maintainer email.
  * Remove DM-Upload-Allowed flag.
  * Standards-Version: 3.8.4 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Mon, 14 Jun 2010 02:14:27 +0100

linux-ftpd (0.17-31) unstable; urgency=low

  [Mats Erik Andersson]

  * debian/control: Expanded description.
  * debian/copyright: Added explicit license for the two IPv6-patches.
  * Describe effects of recent changes on three inetd-servers.
    + debian/NEWS: Short text addition.
    + debian/README.Debian: Added an extended discussion.
  * FTBFS GNU/kfreebsd, GNU/Hurd:
    * debian/patches/26-support_glibc_bsd_and_gnu.diff: New file.
  * debian/{postinst,prerm}: Use option '--multi' with 'update-inetd'.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 25 May 2010 20:05:34 +0200

linux-ftpd (0.17-30) unstable; urgency=low

  * Migration to format "3.0 (quilt)".
    + Identified source code patches:
    + debian/patches/01-from_hamm.diff
    + debian/patches/02-from_sarge.diff
    + debian/patches/03-from_etch.diff
    + debian/patches/10-ftpd_csrf.diff
  * Standard 3.8.4, debhelper compatibility 7:
    + Using dh_prep.
  * debian/control:
    + Build depend includes ${misc:Depends} and 'debhelper (>= 7).
    + Source homepage stanza pointing to download site.
  * debian/watch: New file.
  * debian/postinst: Suppress error message if '/etc/inetd.conf' is missing.
    + Print a hint to the example xinetd configuration, if applicable.
  * debian/ftpd.examples:
    + debian/ftpd.xinetd: Configuration for use with xinetd.
  * Prepare migration to IPv6 support:
    + debian/rules: Use compiler flag '-fno-strict-aliasing'.
    + debian/patches/14-adjust_infrastruct.diff: New file.
    + debian/patches/16-family_independence.diff: New file.
  * Implement active IPv6 support: (Closes: #580251)
    + debian/patches/20-support_ipv6.diff: New file.
    + debian/NEWS: New file.
    + debian/README.Debian: A short explanation is added.
  * Uninitialized va_list causes segmentation faults on amd64:
    + debian/patches/24-failing_va_list.diff: New file.
  * [lintian] maintainer-script-without-set-e:
    + debian/{preinst,prerm,postinst,postrm} modified.
  * [lintian] debian-rules-ignores-make-clean-error:
    + debian/rules modified.
  * agi: Added Mats Erik Andersson as Uploader.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 09 May 2010 16:17:20 +0200

linux-ftpd (0.17-29) unstable; urgency=high

  * Ian Beckwith:
    - Patch to fix cross-site request forgery (CSRF) attacks.
      CVE-2008-4247 (Closes: #500278)
  * Updated package description. (Closes: #493433)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 17 Oct 2008 20:34:17 +0200

linux-ftpd (0.17-28) unstable; urgency=low

  * Patch postrm/postinst files to handle update-inetd better.
    Thanks Ian Beckwith for the patch. (Closes: #482912)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Jul 2008 17:13:19 +0200

linux-ftpd-ssl (0.17.27+0.3-3) unstable; urgency=high

  * Fix command line split CSRF (Closes: #500518)
    Addresses CVE-2008-4242 and CVE-2008-4247.

 -- Ian Beckwith <ianb@erislabs.net>  Thu, 16 Oct 2008 22:13:23 +0100

linux-ftpd-ssl (0.17.27+0.3-2) unstable; urgency=low

  * Create debian/NEWS with details of openssl problems
    and key rollover.
  * Explicitly depend/build-depend on fixed openssl.
  * ftpd/ftpd.c: Set default ssl key/cert file to /etc/ftpd-ssl/ftpd.pem.
  * postinst:
    + On new installs don't bother with -z cert and -z key, as we
      can now use the defaults.
    + Revert to update-inetd logic from linux-ftpd.
  * postrm: Only remove inetd entry on purge, and only if it is commented out.
  * Add private copy of openssl.cnf from openssl 0.9.8g-10 (See #372105).
  * debian/control:
    + Added DM-Upload-Allowed: yes.

 -- Ian Beckwith <ianb@erislabs.net>  Sun, 25 May 2008 19:24:55 +0100

linux-ftpd-ssl (0.17.27+0.3-1) unstable; urgency=low

  * New maintainer (Closes: #476132).
  * Update to linux-ftpd 0.17-27.
  * Fix all warnings in source.
  * ftpd.8: Document SSL options, fix typo.
  * debian/control:
    + Standards-Version: 3.7.3 (no changes).
  * debian/rules:
    + Support DEB_BUILD_OPTIONS=noopt.
    + Added -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    + Fixed make distclean invocation.
    + Removed unused install-stamp.
    + Removed unnecessary debhelper calls.
  * debian/postinst: worked round checkbashism false positive.
  * debian/postrm: fixed wording of error message.
  * debian/copyright: added copyright info for SSL patches.
  * Bumped debhelper compat level to 5.
  * Use linux-ftpd_0.17.orig.tar.gz as our orig.tar.gz.

 -- Ian Beckwith <ianb@erislabs.net>  Wed, 23 Apr 2008 01:06:35 +0100

linux-ftpd (0.17-27) unstable; urgency=low

  * Ignore missing ../MCONFIG in clean target. (Closes: #436720)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 08 Aug 2007 20:49:22 +0200

linux-ftpd (0.17-26) unstable; urgency=low

  * Removed Depends on update-inetd, since it should be provided by
    inetd-superserver.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 07 Aug 2007 18:02:11 +0200

linux-ftpd (0.17-25) unstable; urgency=low

  * Condition the call to update-inetd in postrm. (Closes: #416745)
  * Moved netbase dependency to openbsd-inetd | inet-superserver.
  * Added Depends on update-inetd
  * Moved to debhelper compat 4. (Removed debian/conffiles)


=== debian/control ===
Source: linux-ftpd-ssl
Section: net
Priority: extra
Maintainer: Ian Beckwith <ianb@debian.org>
Build-Depends: bison, debhelper (>= 7), libpam0g-dev | libpam-dev, libssl-dev (>= 0.9.8g-9)
Standards-Version: 3.8.4

Package: ftpd-ssl
Architecture: any
Depends: openbsd-inetd | inet-superserver, libpam-modules, openssl (>= 0.9.8g-9), libssl0.9.8 (>= 0.9.8g-9), ${shlibs:Depends}, ${misc:Depends}
Provides: ftp-server
Conflicts: ftp-server, ftpd
Replaces: ftpd
Description: FTP server with SSL encryption support
 This is the netkit ftp server with encryption support.
 .
 ftpd-ssl replaces normal ftpd using SSL authentication and encryption.
 It interoperates with normal ftp.
 It checks if the other side is also talking SSL, if not it falls back
 to normal ftp protocol.
 .
 Advantages over normal ftp(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with
 tcpdump or similar tools.

## linux-ftpd-ssl 0.17.32%2B0.3

=== debian/changelog ===
linux-ftpd-ssl (0.17.32+0.3-1) unstable; urgency=low

  * Update to linux-ftpd 0.17-32.
  * Standards-Version: 3.9.0 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Sun, 25 Jul 2010 01:32:41 +0100

linux-ftpd (0.17-32) unstable; urgency=low

  * Fixed minor typos in ftpd.8.
  * Renamed patches to avoid future clashes with linux-ftpd-ssl.
  * Bumped Standards to 3.9.0

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 08 Jul 2010 13:28:07 +0200

## linux-ftpd-ssl 0.17.32+0.3

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: bison, debhelper (>= 7), libpam0g-dev | libpam-dev, libssl-dev (>= 0.9.8g-9)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 
 Package: ftpd-ssl
 Architecture: any

## linux-ftpd-ssl 0.17.33+0.3

=== debian/changelog ===
linux-ftpd-ssl (0.17.33+0.3-1build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 May 2011 13:52:00 +0100

linux-ftpd-ssl (0.17.33+0.3-1) unstable; urgency=low

  * Update to linux-ftpd 0.17-33.
  * Drop hard-coded dependency on libssl0.9.8.
  * Standards-Version: 3.9.1 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Wed, 20 Apr 2011 02:46:14 +0100

linux-ftpd (0.17-33) unstable; urgency=low

  * Correct implementation of EPSV for IPv4.
    + debian/patches/020-support_ipv6.diff: Updated file.
  * [lintian] Addition of DEP-3 header:
    + debian/patches/030-manpage_typos.diff: Description added.
  * debian/control: Spelling of 'kFreeBSD'.
  * Bumped Standards to 3.9.1.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 06 Apr 2011 22:34:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: bison, debhelper (>= 7), libpam0g-dev | libpam-dev, libssl-dev (>= 0.9.8g-9)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 
 Package: ftpd-ssl
 Architecture: any
-Depends: openbsd-inetd | inet-superserver, libpam-modules, openssl (>= 0.9.8g-9), libssl0.9.8 (>= 0.9.8g-9), ${shlibs:Depends}, ${misc:Depends}
+Depends: openbsd-inetd | inet-superserver, libpam-modules, openssl (>= 0.9.8g-9), ${shlibs:Depends}, ${misc:Depends}
 Provides: ftp-server
 Conflicts: ftp-server, ftpd
 Replaces: ftpd

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CONFIGUREARGS=--with-debug
else
        CONFIGUREARGS=
endif

CDEFS  := -D_FILE_OFFSET_BITS=64 -g
LDDEFS := -Wl,-z,defs -Wl,--as-needed

build:
	dh_testdir

	if [ ! -f MCONFIG ]; then \
		USE_PAM=1 ./configure $(CONFIGUREARGS); \
		sed -e 's/^CFLAGS=\(.*\)$$/CFLAGS=$(CDEFS) \1 -fno-strict-aliasing/' \
		    -e 's/^LDFLAGS=\(.*\)$$/LDFLAGS=$(LDDEFS) \1/' \
			MCONFIG > MCONFIG.new; \
		mv MCONFIG.new MCONFIG; \
		echo CFLAGS+=-DUSE_PAM >> MCONFIG; \
		echo LIBS+=-lpam >> MCONFIG; \
	fi
	$(MAKE)

clean:
	dh_testdir
	dh_testroot

	[ ! -f MCONFIG ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp ftpd/ftpd debian/ftpd-ssl/usr/sbin/in.ftpd
	cp ftpd/ftpd.8 debian/ftpd-ssl/usr/share/man/man8/in.ftpd.8
	cp ftpd/*.5 debian/*.5 debian/ftpd-ssl/usr/share/man/man5
	ln -sf in.ftpd.8 debian/ftpd-ssl/usr/share/man/man8/ftpd.8
	cp debian/ftpchroot debian/ftpusers debian/ftpd-ssl/etc
	cp debian/pam.d/ftp debian/ftpd-ssl/etc/pam.d
	cp debian/openssl.cnf debian/ftpd-ssl/etc/ftpd-ssl/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## linux-ftpd-ssl 0.17.35+0.3

=== support/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../MCONFIG
 
-OBJS=setproctitle.o isexpired.o vis.o
+OBJS=daemon.o setproctitle.o isexpired.o vis.o
 
 all: libsupport.a
 
@@ -16,3 +16,4 @@
 	rm -f *.o libsupport.a
 
 setproctitle.o: setproctitle.h
+daemon.o: daemon.h

=== debian/changelog ===
linux-ftpd-ssl (0.17.35+0.3-2) unstable; urgency=medium

  * NLST of empty directory results in segfault.
    + debian/patches/500-ssl.diff: Updated. (Closes: #788331)

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 11 Jun 2015 19:25:49 +0200

linux-ftpd-ssl (0.17.35+0.3-1) unstable; urgency=low

  * Update to source version 0.17-35 of linux-ftpd.
    + debian/control: Set Build-Depends to '>= 9' for debhelper.
    + debian/compat: Update.
  * Bring in package changes from experimental to unstable.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 15:29:17 +0200

linux-ftpd (0.17-35) unstable; urgency=low

  * Interchange maintainer and uploader.
  * Update Standards to 3.9.6.
    + debian/rules: Add missing targets build-arch, build-indep.
    + debian/control: Set Build-Depends to '>= 9' for debhelper.
    + debian/compat: Update.
  * debian/rules: Use the same build flags CDEFS and LDDEFS as is in
    use by the variant linux-ftpd-ssl.
  * debian/postinst: Mistyped informational text. (Closes: #741111)

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 14:31:44 +0200

linux-ftpd-ssl (0.17.34+0.3-1) experimental; urgency=low

  * New maintainer and new uploader.
  * Update Standards to 3.9.6
    + debian/rules: Add missing targets build-arch, build-indep.
  * Activate hardening flags like linux-ftpd does.
    + debian/rules: Update is based on `dpkg-buildflags'.
  * Update to source version 0.17-34 of linux-ftpd.
    + debian/rules: Call dh_installexamples.
    + debian/postinst: Adapt message to `ftpd-ssl'.
    + debian/ftpd-ssl.examples: Renamed file.
  * Missing use of SSL protected stream. (Closes: #774454)
    + debian/patches/570-redirect_ssl_output.diff: New file.
  * debian/postinst: Add a hint when an SSL certificate is missing.
  * debian/watch: Correction to URL.
  * Include a descriptive text about making test certificates.
    + debian/simple-cert.txt: New file.
    + debian/ftpd-ssl.examples: Mention the previous file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 07 Jan 2015 22:25:56 +0100

linux-ftpd (0.17-34) unstable; urgency=low

  * Drop unneeded libcrypt linking:
    + debian/patches/040-refine_config.diff: New file.
  * Support GNU/Hurd:
    + debian/patches/044-support_gnu_hurd.diff: New file.
    + debian/control: Mention GNU/Hurd in package description.
  * Activate hardening flags. Suggested by Moritz Muehlenhoff.
    + debian/rules: Use 'dpkg-buildflags'. (Closes: #656005)
  * Bump Standards to 3.9.3.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 30 Mar 2012 00:54:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: linux-ftpd-ssl
 Section: net
 Priority: extra
-Maintainer: Ian Beckwith <ianb@debian.org>
-Build-Depends: bison, debhelper (>= 7), libpam0g-dev | libpam-dev, libssl-dev (>= 0.9.8g-9)
-Standards-Version: 3.9.1
+Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
+Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
+Build-Depends: bison, debhelper (>= 9), libpam0g-dev | libpam-dev, libssl-dev (>= 0.9.8g-9)
+Standards-Version: 3.9.6
 
 Package: ftpd-ssl
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,10 @@
 CDEFS  := -D_FILE_OFFSET_BITS=64 -g
 LDDEFS := -Wl,-z,defs -Wl,--as-needed
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	dh_testdir
 
 	if [ ! -f MCONFIG ]; then \
@@ -22,14 +25,18 @@
 		    -e 's/^LDFLAGS=\(.*\)$$/LDFLAGS=$(LDDEFS) \1/' \
 			MCONFIG > MCONFIG.new; \
 		mv MCONFIG.new MCONFIG; \
-		echo CFLAGS+=-DUSE_PAM >> MCONFIG; \
-		echo LIBS+=-lpam >> MCONFIG; \
+		echo CFLAGS+=-DUSE_PAM=1 \
+			`dpkg-buildflags --get CFLAGS` \
+			`dpkg-buildflags --get CPPFLAGS` >> MCONFIG; \
+		echo LIBS+=-lpam `dpkg-buildflags --get LDFLAGS` >> MCONFIG; \
 	fi
 	$(MAKE)
+	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
+	rm -f build-stamp
 
 	[ ! -f MCONFIG ] || $(MAKE) distclean
 
@@ -58,6 +65,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs
+	dh_installexamples
 	dh_installchangelogs ChangeLog
 	dh_strip
 	dh_compress

=== debian/watch ===
version=3

# check for new debian package of our upstream, linux-ftpd
# the other possible upstreams are long dead

opts="uversionmangle=s/(.*)-(.*)/$1.$2+0.3/" http://ftp.debian.org/debian/pool/main/l/linux-ftpd/linux-ftpd_(.*).dsc

## linux-ftpd-ssl 0.17.36%2Breally0.17

=== debian/changelog ===
linux-ftpd-ssl (0.17.36+really0.17-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Wed, 03 Apr 2024 13:15:00 +1100

linux-ftpd-ssl (0.17.36+really0.17-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 19:56:59 +0000

linux-ftpd-ssl (0.17.36+really0.17-2) unstable; urgency=medium

  * QA upload.
  * Don't conflict with ftpd.
  * Set Priority optional (was: extra).

 -- Bastian Germann <bage@debian.org>  Thu, 08 Sep 2022 11:14:01 +0200

linux-ftpd-ssl (0.17.36+really0.17-1) unstable; urgency=medium

  * QA upload.
  * Ignore cert file with -z nossl set.
  * Drop outdated README.SSL.
  * d/copyright: Convert to machine-readable format.
    + MIT-CMU is not applicable (nowhere in upstream code).

 -- Bastian Germann <bage@debian.org>  Wed, 07 Sep 2022 09:39:57 +0200

linux-ftpd-ssl (0.17.36+0.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Tweak cmake patches to link correctly. Closes: #925768
  * Drop obsolete libssl1.0-dev dependency. Closes: #917348
    - drop version constraint, satisfied already since o-o-stable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2019 18:39:22 +0200

linux-ftpd-ssl (0.17.36+0.3-2.1) unstable; urgency=high

  * Non-maintainer upload
  * Use cmake as build system. Closes: #912123

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Feb 2019 14:39:30 +0100

linux-ftpd-ssl (0.17.36+0.3-2) unstable; urgency=low

  * Adaption to libssl of recent version.
    + debian/patches/580-recent_libssl.diff: New file.
    + debian/control: Reverse order between libssl-dev and libssl1.0-dev,
      remove versioning of libssl-dev.
  * Fulfill minimal requirements in RFC 2228.  Accept CA-files, key files,
    cipher selection, and chained certificates.  Full verification of any
    certificate is possible.
    + Immediately forbid SSLv2 while initializing SSL.
    + debian/patches/600-better_conformity.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 24 Jan 2017 15:35:15 +0100

linux-ftpd-ssl (0.17.36+0.3-1) unstable; urgency=low

  * Update to source version 0.17-36 of linux-ftpd.
  * Allow build dependency on libssl1.0-dev, or libssl-dev (<< 1.1.0~).
    Closes: #828424
  * Silence pedantic complaints on archaic code source.
    + debian/source/lintian-overrides: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 17 Dec 2016 15:41:43 +0100

linux-ftpd (0.17-36) unstable; urgency=low

  * Step up to Standards version 3.9.8, no changes.
  * Increase hardening level.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 06 Dec 2016 16:09:38 +0100

=== debian/control ===
Source: linux-ftpd-ssl
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: bison, debhelper (>= 10~), libpam0g-dev | libpam-dev, libssl-dev, cmake
Standards-Version: 3.9.8

Package: ftpd-ssl
Architecture: any
Depends: openbsd-inetd | inet-superserver, libpam-modules, openssl, ${shlibs:Depends}, ${misc:Depends}
Provides: ftp-server
Conflicts: ftp-server
Description: FTP server with SSL encryption support
 This is the netkit ftp server with encryption support.
 .
 ftpd-ssl replaces normal ftpd using SSL authentication and encryption.
 It interoperates with normal ftp.
 It checks if the other side is also talking SSL, if not it falls back
 to normal ftp protocol.
 .
 Advantages over normal ftp(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with
 tcpdump or similar tools.

## linux-ftpd-ssl 0.17.36+0.3

=== debian/control ===
Source: linux-ftpd-ssl
Section: net
Priority: extra
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: bison, debhelper (>= 9), libpam0g-dev | libpam-dev, libssl-dev | libssl1.0-dev
Standards-Version: 3.9.8

Package: ftpd-ssl
Architecture: any
Depends: openbsd-inetd | inet-superserver, libpam-modules, openssl (>= 0.9.8g-9), ${shlibs:Depends}, ${misc:Depends}
Provides: ftp-server
Conflicts: ftp-server, ftpd
Replaces: ftpd
Description: FTP server with SSL encryption support
 This is the netkit ftp server with encryption support.
 .
 ftpd-ssl replaces normal ftpd using SSL authentication and encryption.
 It interoperates with normal ftp.
 It checks if the other side is also talking SSL, if not it falls back
 to normal ftp protocol.
 .
 Advantages over normal ftp(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with
 tcpdump or similar tools.

=== debian/rules ===
--- 
+++ 
@@ -26,9 +26,9 @@
 			MCONFIG > MCONFIG.new; \
 		mv MCONFIG.new MCONFIG; \
 		echo CFLAGS+=-DUSE_PAM=1 \
-			`dpkg-buildflags --get CFLAGS` \
+			`dpkg-buildflags --get CFLAGS` -fPIE -pie \
 			`dpkg-buildflags --get CPPFLAGS` >> MCONFIG; \
-		echo LIBS+=-lpam `dpkg-buildflags --get LDFLAGS` >> MCONFIG; \
+		echo LIBS+=-lpam `dpkg-buildflags --get LDFLAGS` -Wl,-z,now >> MCONFIG; \
 	fi
 	$(MAKE)
 	touch build-stamp

## linux-ftpd-ssl 0.17.36+really0.17

=== debian/changelog ===
linux-ftpd-ssl (0.17.36+really0.17-3) unstable; urgency=medium

  * QA upload.
  * add gbp.conf
  * add Vcs fields to debian/control
  * Use wrap-and-sort -satb for debian control files
  * Trim trailing whitespace.
  * Update renamed lintian tag names in lintian overrides.
  * Fix day-of-week for changelog entries 0.17.18+0.3-9, 0.17.18+0.3-2.
  * add Rules-Requires-Root field
  * update debhelper-compat to 12

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 07 May 2024 16:03:34 +0200

=== debian/control ===
Source: linux-ftpd-ssl
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Rules-Requires-Root: no
Build-Depends:
 bison,
 cmake,
 debhelper-compat (= 12),
 libpam0g-dev | libpam-dev,
 libssl-dev,
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/linux-ftpd-ssl.git
Vcs-Browser: https://salsa.debian.org/debian/linux-ftpd-ssl

Package: ftpd-ssl
Architecture: any
Depends:
 libpam-modules,
 openbsd-inetd | inet-superserver,
 openssl,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ftp-server,
Conflicts:
 ftp-server,
Description: FTP server with SSL encryption support
 This is the netkit ftp server with encryption support.
 .
 ftpd-ssl replaces normal ftpd using SSL authentication and encryption.
 It interoperates with normal ftp.
 It checks if the other side is also talking SSL, if not it falls back
 to normal ftp protocol.
 .
 Advantages over normal ftp(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with
 tcpdump or similar tools.

=== debian/rules ===
#!/usr/bin/make -f

export verbose=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake --no-parallel
